This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864470 - anaconda can be closed during installation
anaconda can be closed during installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-09 08:43 EDT by Kamil Páral
Modified: 2014-07-30 09:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 09:16:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-10-09 08:43:57 EDT
Description of problem:
On the GNOME LiveCD I can use super menu -> Quit (or probably even X button from the Overview mode) and anaconda is closed even during installation.

That should work before the installation begins, but during installation?? I believe anaconda should just ignore SIGTERM signals in that phase, user can then "force quit" if he really believes he wants to do that. But currently you can "kill" anaconda by pure accident and that's very wrong.

Version-Release number of selected component (if applicable):
F18 Beta TC2
anaconda 18.12

How reproducible:
always

Steps to Reproduce:
1. start installation
2. use super menu -> Quit in GNOME
Comment 1 Kamil Páral 2012-10-09 08:45:21 EDT
I'm afraid this doesn't qualify for blocker status, but it should be at least NTH.
Comment 2 Chris Lumens 2012-10-10 22:56:46 EDT
I don't know that there's a live environment agnostic way of disabling the "super menu", and I would hate to have to come up with a different fix for each live CD we make.  If you know of an idea, I'd be happy to consider it.

Disabling SIGTERM while we're writing to disk is an interesting idea that we'll have to talk over.  There's got to be some unforseen consequences of doing that.
Comment 3 Kamil Páral 2012-10-11 05:05:49 EDT
I agree it is a bad idea to make hacks to different DEs to disable their window-close capabilities. Fortunately this should be much simpler. The window might decide just to ignore the signal, whether it is SIGTERM or some GTK window-close signal (I don't know, I never worked with GTK). That is a reasonable behavior during installation and works consistently across all DEs.

There is nothing wrong on ignoring SIGINT/SIGTERM, a lot of programs do it. E.g. rpm will not quit immediately you press Ctrl+C, but first it will make the system consistent (close the database handles, release the locks etc) and only then it will quit. LibreOffice will ask you "Do you want to save the document before quitting?". Anaconda should do the same - make sure it doesn't leave the system in an inconsistent state (half installed).

If you receive such event, you can even pop up a dialog "The installation is in progress, please don't try to close the installer now". User can always kill the process, of course.
Comment 4 Fedora End Of Life 2013-12-21 04:04:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 David Shea 2014-07-29 10:14:31 EDT
The window closing part is fixed, we already ignore SIGINT, SIGTERM is more complicated. We might be able to handle that better.
Comment 6 Kamil Páral 2014-07-30 04:38:46 EDT
Great, handling window closing was the most important in my opinion. Handling other signals is nice, but you don't usually send them by accident, I suppose. So from my POV, this bug can be closed :) Thanks.
Comment 7 David Shea 2014-07-30 09:16:08 EDT
Sounds good to me.

Note You need to log in before you can comment on or make changes to this bug.